//
//  nasBackupsManager.h
//  双子星云手机
//
//  Created by xd h on 2024/8/29.
//

#import <Foundation/Foundation.h>
#import "photosBackupsTaskModel.h"
#import "uploadFileDataModel.h"

NS_ASSUME_NONNULL_BEGIN

@interface nasBackupsManager : NSObject
@property (nonatomic,strong) photosBackupsTaskModel* curPhotosBackupsTaskMod;
@property (nonatomic,copy) NSString* sdnId;//标志本次是否备份过

+(instancetype)shareInstance;

//处理备份消息
- (void)AutohandlePhotosBackupsFun;
- (void)handlePhotosBackupsFun;
- (void)getDataWrongToChangeFailFun;
- (void)changeBackupsFileStateToFailWith:(NSString*)errorStr;

//文件备份完成
- (void)backupsFileDoneFun;

//修改文件上传的状态
- (void)changeBackupsFileStateFun;

- (void)suspendBackupsFileFun;
//文件重新备份
- (void)reBackupsFileFunBy:(photosBackupsTaskModel*)model;

//文件重新备份
- (void)reBackupsFileFun;

//检查是否需要重新备份
- (void)checkReBackupsFileFun;

//检查是否在备份中
- (BOOL)checkBackupsingFun;

@end

NS_ASSUME_NONNULL_END
